## ngcp-asterisk-voicemail 22.1.1+0~mr14.0.1.1

=== Makefile ===
#
# Makefile for Asterisk voicemail application
# Copyright (C) 2015, Sipwise Development Team <support@sipwise.com>
#
# This program is free software, distributed under the terms of
# the GNU General Public License Version 2. See the COPYING file
# at the top of the source tree.

INSTALL=install
ASTLIBDIR?=/usr/lib/asterisk/modules
MODULES_DIR=$(INSTALL_PREFIX)$(ASTLIBDIR)
ASTETCDIR=$(INSTALL_PREFIX)/etc/asterisk

CC?=gcc
OPTIMIZE=-O2
DEBUG=-g

LIBS+=
CFLAGS+=-pipe -fPIC
CFLAGS+=-Wall -Wextra -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations
CFLAGS+=-D_REENTRANT -D_GNU_SOURCE -DODBC_STORAGE

all: _all
	@echo " +-------- app_voicemail Build Complete --------+"
	@echo " + app_voicemail has successfully been built,   +"
	@echo " + and can be installed by running:             +"
	@echo " +                                              +"
	@echo " +               make install                   +"
	@echo " +----------------------------------------------+"

_all: apps/app_voicemail.so apps/app_playback.so

apps/app_voicemail.o: apps/app_voicemail.c
	$(CC) $(CFLAGS) $(DEBUG) $(OPTIMIZE) -c -o $@ $<

apps/app_voicemail.so: apps/app_voicemail.o
	$(CC) -shared -Xlinker -x -o $@ $< $(LIBS)

apps/app_playback.o: apps/app_playback.c
	$(CC) $(CFLAGS) $(DEBUG) $(OPTIMIZE) -c -o $@ $<

apps/app_playback.so: apps/app_playback.o
	$(CC) -shared -Xlinker -x -o $@ $< $(LIBS)

clean:
	rm -f apps/app_voicemail.o apps/app_voicemail.so \
		  apps/app_playback.o apps/app_playback.so

install: _all
	$(INSTALL) -m 755 -d $(DESTDIR)$(MODULES_DIR)
	$(INSTALL) -m 755 apps/app_voicemail.so $(DESTDIR)$(MODULES_DIR)
	$(INSTALL) -m 755 apps/app_playback.so $(DESTDIR)$(MODULES_DIR)
	@echo " +---- apps/app_voicemail Installation Complete ------+"
	@echo " +                                                    +"
	@echo " + apps/app_voicemail has successfully been installed +"
	@echo " +----------------------------------------------------+"

=== debian/changelog ===
ngcp-asterisk-voicemail (22.1.1+0~mr14.0.1.1) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 09 Dec 2025 15:31:05 +0100

ngcp-asterisk-voicemail (22.1.1+0~mr14.0.1.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 24 Nov 2025 16:54:27 +0100

ngcp-asterisk-voicemail (22.1.1+0~mr14.0.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 08 Sep 2025 11:42:53 +0200

ngcp-asterisk-voicemail (22.1.1+0~mr13.5.0.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [c4f6f39] MT#62544 add extra headers to email

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 20 Jun 2025 10:42:00 +0200

ngcp-asterisk-voicemail (22.1.1+0~mr13.4.0.0) unstable; urgency=medium

  [ Kirill Solomko ]
  * [c2726bd] MT#62075 fix STORE_SQL_FMT_CAT sql callid column name

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 10 Apr 2025 08:26:09 +0200

ngcp-asterisk-voicemail (22.1.1+0~mr13.3.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 28 Jan 2025 15:13:16 +0100

ngcp-asterisk-voicemail (22.1.1+0~mr13.2.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [940a1ff] MT#61185 debian/control: add missing pkg-config
  * [d21e211] MT#61440 sipwise_vm_find_user_by_alias: don't crash if odbc fails
  * [271f51e] MT#61444 sipwise_vm_ext_timezone: remove build warning
  * [05e2f05] MT#61862 support bookworm 22.1.1~dfsg+~cs6.14.60671435-1~bpo12+1
  * [ac0b277] MT#61862 debian: fix lintian issues

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 15 Jan 2025 12:02:18 +0100

ngcp-asterisk-voicemail (20.1.0+0~mr13.1.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [2234c02] MT#60926 Add a .gitignore file
  * [5c24681] MT#60926 Cleanup patch series (part 1)
  * [b712c38] MT#60926 Switch from deprecated pcre to newer pcre2

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 01 Oct 2024 09:58:20 +0200

ngcp-asterisk-voicemail (20.1.0+0~mr13.0.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Sun, 28 Jul 2024 12:01:00 +0200

ngcp-asterisk-voicemail (20.1.0+0~mr12.5.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 22 May 2024 14:29:51 +0200

ngcp-asterisk-voicemail (20.1.0+0~mr12.4.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 15 Mar 2024 08:46:37 +0100

ngcp-asterisk-voicemail (20.1.0+0~mr12.3.0.0) unstable; urgency=medium

  [ Fabricio Santolin da Silva ]
  * [05e3ebe] MT#59127 Fix double help menu listing

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 15 Jan 2024 14:45:36 +0100

ngcp-asterisk-voicemail (20.1.0+0~mr12.2.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [f826d10] MT#58356 Update packaging for bookworm

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 29 Nov 2023 13:35:16 +0100

ngcp-asterisk-voicemail (20.1.0+0~mr12.1.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Sun, 15 Oct 2023 08:22:09 +0200

ngcp-asterisk-voicemail (20.1.0+0~mr12.0.1.0) unstable; urgency=medium

  [ Fabricio Santolin da Silva ]
  * [a9376c7] MT#57141 Add actions to send with MWI notification

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 30 Aug 2023 18:02:50 +0200

ngcp-asterisk-voicemail (20.1.0+0~mr11.5.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 26 Jun 2023 14:08:57 +0200

ngcp-asterisk-voicemail (20.1.0+0~mr11.4.0.0) unstable; urgency=medium

  * New release.
  * [507ee34] MT#55917 support bookworm

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 24 Mar 2023 13:02:25 +0100

ngcp-asterisk-voicemail (16.16.1+0~mr11.3.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [3b818b7] TT#161551 debian/patches: add info for patches
  * [ccdf42d] TT#161551 remove double logs

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 17 Jan 2023 17:41:07 +0100

ngcp-asterisk-voicemail (16.16.1+0~mr11.2.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 04 Oct 2022 13:49:09 +0200

ngcp-asterisk-voicemail (16.16.1+0~mr11.1.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 22 Aug 2022 19:59:41 +0200

ngcp-asterisk-voicemail (16.16.1+0~mr11.0.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 07 Jun 2022 11:41:18 +0200

ngcp-asterisk-voicemail (16.16.1+0~mr10.5.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 30 Mar 2022 23:57:38 +0200

ngcp-asterisk-voicemail (16.16.1+0~mr10.4.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 24 Jan 2022 16:53:46 +0100

ngcp-asterisk-voicemail (16.16.1+0~mr10.3.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [ed2e9ca] TT#124273 Update packaging for bullseye

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 23 Nov 2021 14:16:14 +0100

ngcp-asterisk-voicemail (16.16.1+0~mr10.2.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 05 Oct 2021 13:17:25 +0200

ngcp-asterisk-voicemail (16.16.1+0~mr10.1.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 24 Aug 2021 16:48:43 +0200

ngcp-asterisk-voicemail (16.16.1+0~mr10.0.0.0) unstable; urgency=medium

  [ Victor Tsvetov ]
  * [c5ead4d] TT#88905 Add Arabic support in app_voicemail

  [ Kirill Solomko ]
  * [98b461e] TT#123903 fix prev message pointer

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 14 Jun 2021 16:33:55 +0200

ngcp-asterisk-voicemail (16.16.1+0~mr9.5.0.0) unstable; urgency=medium

  [ Kirill Solomko ]


=== debian/control ===
Source: ngcp-asterisk-voicemail
Priority: optional
Section: comm
Maintainer: Sipwise Development Team <support@sipwise.com>
Homepage: https://www.sipwise.com/
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends:
 asterisk-dev,
 debhelper-compat (= 13),
 libpcre2-dev,
 pkgconf,
 quilt,
 unixodbc-dev,

Package: ngcp-asterisk-voicemail-odbcstorage
Architecture: any
Depends:
 ${asterisk:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 asterisk-voicemail-storage,
Description: NGCP version ODBC voicemail storage support for the Asterisk PBX
 Asterisk is an Open Source PBX and telephony toolkit.
 .
 This package includes an database-based voicemail storage: storing the
 voicemail in a database accessed through the ODBC interface. While more
 complex to set up, it may be useful in some settings.
 .
 This package includes patches from Sipwise.
 .
 For more information about the Asterisk PBX, have a look at the Asterisk
 package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export ASTLIBDIR=/usr/lib/${DEB_HOST_MULTIARCH}/asterisk/modules

%:
	dh $@ --with quilt --with asterisk
